# Interface Deferred<T>

interface Deferred<T> {
notify: ((arg0: any) => void);
promise: QPromise<T>;
reject: ((arg0: any) => void);
resolve: ((arg0: T | QPromise<T>) => void);
}

#### Type Parameters

- T

- Defined in core/q/q.js:50

#####
Index

### Properties

notify
promise
reject
resolve

##
Properties

### notify

notify: ((arg0: any) => void)

Provides a progress notification.

- Defined in core/q/q.js:53

### promise

promise: QPromise<T>

The promise associated with this deferred object.

- Defined in core/q/q.js:54

### reject

reject: ((arg0: any) => void)

Rejects the promise with a reason.

- Defined in core/q/q.js:52

### resolve

resolve: ((arg0: T | QPromise<T>) => void)

Resolves the promise with a value or another promise.

- Defined in core/q/q.js:51